# ProjectDependencySpecBuilder

@Incubating
interface ProjectDependencySpecBuilder : DependencySpecBuilder

A builder of a ProjectDependencySpec.

## Functions

build
Link copied to clipboard
abstract fun build(): DependencySpec
library
Link copied to clipboard
abstract fun library(name: String): ProjectDependencySpecBuilder
Narrows this dependency specification down to a specific library.
project
Link copied to clipboard
abstract fun project(path: String): ProjectDependencySpecBuilder
Narrows this dependency specification down to a specific project.